Package com.sas.lsaf.schedule

## Class ScheduleJobInfo

- java.lang.Object
- - com.sas.lsaf.schedule.ScheduleJobInfo

- All Implemented Interfaces:
    `Schedulable`, `java.io.Serializable`

      public class ScheduleJobInfo
      extends java.lang.Object
      implements Schedulable, java.io.Serializable

  The class to schedule a job. This class contains the job descriptor and parameter information.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScheduleJobInfo()` | The default constructor.
    `ScheduleJobInfo​(Job job)` | The constructor that specifies a job.
    `ScheduleJobInfo​(Job job, java.util.List<ParameterValue> parameterValues)` | The constructor that specifies the job and parameter values to use when the job is submitted.
    `ScheduleJobInfo​(java.lang.String path, SourceLocation sourceLocation)` | The constructor that specifies the job path and source location.
    `ScheduleJobInfo​(java.lang.String path, java.lang.String version, SourceLocation sourceLocation)` | The constructor that specifies the job path, version and source location.
    `ScheduleJobInfo​(java.lang.String path, java.lang.String version, SourceLocation sourceLocation, java.util.List<ParameterValue> parameterValues)` | The constructor that specifies the job path, job version, source location and override job parameter values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.List<ParameterValue>` | `getParameterValues()` | Gets the job parameter values.
    `java.lang.String` | `getPath()` | Gets the path of the job to run.
    `SourceLocation` | `getSourceLocation()` | Gets the source location of the job.
    `java.lang.String` | `getVersion()` | Gets the version of the job.
    `int` | `hashCode()` |
    `void` | `setJob​(Job job)` | Sets the job to run.
    `void` | `setParameterValues​(java.util.List<ParameterValue> parameterValues)` | Sets the job parameterValues.
    `void` | `setPath​(java.lang.String path)` | Sets the path of the job to run.
    `void` | `setSourceLocation​(SourceLocation sourceLocation)` | Sets the source location of the job.
    `void` | `setVersion​(java.lang.String version)` | Sets the version of this job.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScheduleJobInfo

          public ScheduleJobInfo()

      The default constructor.

    - #### ScheduleJobInfo

          public ScheduleJobInfo​(java.lang.String path,
                                 SourceLocation sourceLocation)

      The constructor that specifies the job path and source location. By default, a scheduled job has no parameter value overrides.
      Parameters:
        `path` - The path of the job to schedule.
        `sourceLocation` - The source location of the job.

    - #### ScheduleJobInfo

          public ScheduleJobInfo​(java.lang.String path,
                                 java.lang.String version,
                                 SourceLocation sourceLocation)

      The constructor that specifies the job path, version and source location. By default, a scheduled job has no parameter value overrides.
      Parameters:
        `path` - The path of the job to schedule.
        `version` - The version of the job to schedule.
        `sourceLocation` - The source location of the job.

    - #### ScheduleJobInfo

          public ScheduleJobInfo​(Job job)

      The constructor that specifies a job. A default schedule has no parameter overrides. By default, a scheduled job has no parameter value overrides.
      Parameters:
        `job` - The job to schedule.

    - #### ScheduleJobInfo

          public ScheduleJobInfo​(Job job,
                                 java.util.List<ParameterValue> parameterValues)

      The constructor that specifies the job and parameter values to use when the job is submitted.
      Parameters:
        `job` - The job to schedule.
        `parameterValues` - The parameter values that will override the default parameter values in the job.

    - #### ScheduleJobInfo

          public ScheduleJobInfo​(java.lang.String path,
                                 java.lang.String version,
                                 SourceLocation sourceLocation,
                                 java.util.List<ParameterValue> parameterValues)

      The constructor that specifies the job path, job version, source location and override job parameter values.
      Parameters:
        `path` - The path of the job to schedule.
        `version` - The version of the job.
        `sourceLocation` - The source location of the job.
        `parameterValues` - The parameter values that will override the default parameter values in the job.

  - ### Method Detail

    - #### setJob

          public void setJob​(Job job)

      Sets the job to run.
      Parameters:
        `job` - The job to set.

    - #### getParameterValues

          public java.util.List<ParameterValue> getParameterValues()

      Gets the job parameter values. The parameter values override the default values of the job parameters that are defined within the job. For parameters of type FILE and FOLDER, the value should be specified as a ResourceSpecification. For parameters of type CHARACTER and NUMERIC, the value should be specified as Strings. for parameters of type DATE, the value should be specified as java.util.Date. If no parameter values are specified, the default values that are defined in the job are used.
      Returns:
        The parameter values.

    - #### setParameterValues

          public void setParameterValues​(java.util.List<ParameterValue> parameterValues)

      Sets the job parameterValues. The parameterValues override the default value of the JobParameters defined within the job. For parameters of type FILE and FOLDER, the value should be specified as a ResourceSpecification. For parameters of type CHARACTER and NUMERIC, the values should be specified as Strings. For parameters of type DATE, the values should be specified as java.util.Date. If no parameter values are specified, the default values defined in the job are used.
      Parameters:
        `parameterValues` - The parameter values.

    - #### getPath

          public java.lang.String getPath()

      Gets the path of the job to run.
      Returns:
        The path of the job.

    - #### setPath

          public void setPath​(java.lang.String path)

      Sets the path of the job to run.
      Parameters:
        `path` - The path of the job.

    - #### getVersion

          public java.lang.String getVersion()

      Gets the version of the job.
      Returns:
        The version of the job.

    - #### setVersion

          public void setVersion​(java.lang.String version)

      Sets the version of this job.
      Parameters:
        `version` - The version of the job.

    - #### getSourceLocation

          public SourceLocation getSourceLocation()

      Gets the source location of the job.
      Returns:
        The source location of the job.

    - #### setSourceLocation

          public void setSourceLocation​(SourceLocation sourceLocation)

      Sets the source location of the job.
      Parameters:
        `sourceLocation` - The source location of the job.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`